Skip to main content
PUT
/
v1
/
environments
/
{id}
Update an environment
curl --request PUT \
  --url https://api.app.chainloop.dev/v1/environments/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "type": "ENVIRONMENT_TYPE_UNSPECIFIED"
}
'
{
  "environment": {
    "updated_at": "2000-01-23T04:56:07.000Z",
    "organization_id": "organization_id",
    "name": "name",
    "description": "description",
    "created_at": "2000-01-23T04:56:07.000Z",
    "id": "id",
    "type": "ENVIRONMENT_TYPE_UNSPECIFIED"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainloop.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token for authentication

Path Parameters

id
string
required

ID is the unique identifier of the environment to update

Body

application/json
name
string
description
string
type
enum<string>
default:ENVIRONMENT_TYPE_UNSPECIFIED
Available options:
ENVIRONMENT_TYPE_UNSPECIFIED,
ENVIRONMENT_TYPE_KUBERNETES,
ENVIRONMENT_TYPE_ECS,
ENVIRONMENT_TYPE_SERVER,
ENVIRONMENT_TYPE_LAMBDA,
ENVIRONMENT_TYPE_CUSTOM

Response

A successful response.

environment
Environment represents an environment entity · object
Example:
{
"updated_at": "2000-01-23T04:56:07.000Z",
"organization_id": "organization_id",
"name": "name",
"description": "description",
"created_at": "2000-01-23T04:56:07.000Z",
"id": "id",
"type": "ENVIRONMENT_TYPE_UNSPECIFIED"
}